Subject: Re: [6tisch] CoAP block option vs Application layer fragment

From: Thomas Watteyne <[email-masked]>
Date: Thu, 5 Jun 2014 22:45:52 -0700

Qin,

I would vote for keeping things and simple and reusing what already exists,
i.e. CoAP block.

Thomas

On Tue, May 27, 2014 at 6:58 AM, Qin Wang <[email-masked]> wrote:

> Hi all,
>
> Thanks Carsten and Thomas, we now understood how CoAP block option works.
> See thread link
> http://www.ietf.org/mail-archive/web/6tisch/current/msg02268.html .
>
> Here is the cost estimation for the two schemes of fragmentation in
> 6top-to-6top communication.
>
> Assume the size of MAC payload is 81 Byte, then,
> nIE header : 2B
> nCoAP header: 7B (assume length of Token is 2)
> nBlock option: 4B
> nUri-path: 1+xB (assume x=3)
> nPayload : 64B
> Thus, the estimated cost of fragmentation with CoAP block option is about
> 17/64, and the cost of application layer fragmentation is about 13/68.
>
> I think the difference is not significant. In addition, according to the
> IEs and messages design in the 6top sublayer draft, there is not much
> possibility to send very big data in 6top-to-6top communication. Thus, I
> prefer to use CoAP block option, so as to take advantage of its entire
> solution of fragmentation, including retry, security....
>
> What do you think?
>
> Thanks
> Qin
>